org.vishia.gral.base

## Class GralValueBar.GraphicImplAccess

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralValueBar.GraphicImplAccess

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    SwtValueBar
  Enclosing class:
    GralValueBar

      public abstract class GralValueBar.GraphicImplAccess
      extends GralWidget.ImplAccess
      implements GralWidgImpl_ifc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `horizontal`
    `protected int` | `ixColor`
    `protected int` | `pix0line` The values in Pixel between the colored bar is shown.
    `protected int[]` | `pixLevel` Values of the level borders
    `protected int` | `pixvalue` The values in Pixel between the colored bar is shown.

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphicImplAccess(GralMng mng)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `horizontal()`
    `protected int` | `ixColor()`
    `protected int` | `pix0line()`
    `protected int` | `pixvalue()`
    `abstract void` | `setBorderAndColorsImpl(java.lang.String[] sColorLevels)`
    `protected boolean` | `setValue(float valueP)` Sets the pixel values

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getPixelPositionSize, getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Field Detail

    - #### pixLevel

          protected int[] pixLevel

      Values of the level borders

    - #### horizontal

          public boolean horizontal

    - #### pix0line

          protected int pix0line

      The values in Pixel between the colored bar is shown.

    - #### pixvalue

          protected int pixvalue

      The values in Pixel between the colored bar is shown.

    - #### ixColor

          protected int ixColor

  - ### Constructor Detail

    - #### GraphicImplAccess

          protected GraphicImplAccess(GralMng mng)

  - ### Method Detail

    - #### setValue

          protected boolean setValue(float valueP)

      Sets the pixel values
      Parameters:
        `valueP` -
      Returns:
        true if a pixel value is changed. Only then refresh is necessary.

    - #### setBorderAndColorsImpl

          public abstract void setBorderAndColorsImpl(java.lang.String[] sColorLevels)

    - #### horizontal

          protected boolean horizontal()

    - #### ixColor

          protected int ixColor()

    - #### pix0line

          protected int pix0line()

    - #### pixvalue

          protected int pixvalue()